add sig syncs

This commit is contained in:
Louis Abel 2022-07-25 18:03:07 -07:00
parent e337d723c9
commit e4018d11d7
Signed by: label
GPG Key ID: B37E62D143879B36
3 changed files with 32 additions and 3 deletions

View File

@ -26,7 +26,7 @@ if [ "$ret_val" -eq 0 ]; then
# echo "Repository is empty." | tee -a {{ sync_log }}
# rm -rf {{ download_path }}
#fi
{% if deploy_extra_files %}
{%- if deploy_extra_files %}
pushd {{ download_path }}
curl -RO {{ gpg_key_url }}
popd

29
sync/sync-to-prod-sig.sh Normal file
View File

@ -0,0 +1,29 @@
#!/bin/bash
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
#if [[ $# -eq 0 ]] || [[ $# -eq 1 ]]; then
# echo "Not enough information."
# echo "You must use: shortname sig"
# exit 1
#fi
cd "${STAGING_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
TARGET=${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}/
mkdir -p "${TARGET}"
# disabling because none of our files should be starting with dashes. If they
# are something is *seriously* wrong here.
# shellcheck disable=SC2035
sudo -l && find **/* -maxdepth 0 -type d | parallel --will-cite -j 18 sudo rsync -av --chown=10004:10005 --progress --relative --human-readable \
{} "${TARGET}"
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
echo "Hard linking"
hardlink -x '.*\.xml.*' "${MAJOR}"
echo "Syncing to prod completed. Please run the file list script."
fi

View File

@ -17,11 +17,11 @@ SHORT=${1}
# Note, this should be lowercase. eg, storage.
SIG=${2}
cd "/mnt/compose/${MAJ}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "/mnt/compose/${MAJ}/latest-SIG-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
TARGET=${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/${SIG}
TARGET=${STAGING_ROOT}/${SIG_CATEGORY_STUB}/
mkdir -p "${TARGET}"
# disabling because none of our files should be starting with dashes. If they
# are something is *seriously* wrong here.